Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1953242

Summary: zarafa: Remote DoS with out-of-bounds access in zarafa-ical component
Product: [Fedora] Fedora EPEL Reporter: Robert Scheck <redhat-bugzilla>
Component: zarafaAssignee: Robert Scheck <redhat-bugzilla>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: epel7CC: extras-orphan, redhat-bugzilla, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: zarafa-7.1.14-5.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-05-11 00:33:53 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Robert Scheck 2021-04-25 00:03:38 UTC
- Public report for Kopano Core at oss-sec mailing list: https://seclists.org/oss-sec/2021/q2/1
- Kopano upstream fix: https://github.com/Kopano-dev/kopano-core/commit/5fca684b79841ee285e59279d36c17eb2b8499b0

Comment 1 Robert Scheck 2021-04-25 01:16:14 UTC
Analysis (by myself) for Zarafa (predecessor product/project): https://seclists.org/oss-sec/2021/q2/75

Comment 2 Fedora Update System 2021-04-25 01:50:21 UTC
FEDORA-EPEL-2021-255f12d77d has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-255f12d77d

Comment 3 Fedora Update System 2021-04-26 00:48:00 UTC
FEDORA-EPEL-2021-255f12d77d has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-255f12d77d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-05-11 00:33:53 UTC
FEDORA-EPEL-2021-255f12d77d has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.